<?php namespace Intellex\Filesystem\Exception;

/**
 * Class PathNotFoundException
 * A path is not directory nor file.
 *
 * @package Intellex\Filesystem\Exception
 */
class PathNotFoundException extends FilesystemException {

	public function __construct($path) {
		$path = static::getPath($path);
		parent::__construct("The supplied path `{$path}` was not found on the filesystem.");
	}

}
